nxt.freeze

## Class FreezeMonitor

- java.lang.Object
- - nxt.freeze.FreezeMonitor

-     public class FreezeMonitor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreezeMonitor(HoldingType holdingType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableFreeze(long holdingId, int minHeight, int actualHeight)`
    `static java.util.List<java.lang.Long>` | `getFreezeIdsAt(HoldingType holdingType, int actualHeight)`
    `static int` | `getMinFreezeHeight(long holdingId, HoldingType holdingType)`
    `static boolean` | `hasFreezesAt(int actualHeight)`
    `static boolean` | `isFrozen(HoldingType holdingType, long holdingId)`
    `boolean` | `isFrozen(long holdingId)`
    `void` | `scheduleFreeze(long holdingId, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreezeMonitor

          public FreezeMonitor(HoldingType holdingType)

  - ### Method Detail

    - #### isFrozen

          public boolean isFrozen(long holdingId)

    - #### isFrozen

          public static boolean isFrozen(HoldingType holdingType,
                                         long holdingId)

    - #### scheduleFreeze

          public void scheduleFreeze(long holdingId,
                                     int height)

    - #### enableFreeze

          public void enableFreeze(long holdingId,
                                   int minHeight,
                                   int actualHeight)

    - #### hasFreezesAt

          public static boolean hasFreezesAt(int actualHeight)

    - #### getFreezeIdsAt

          public static java.util.List<java.lang.Long> getFreezeIdsAt(HoldingType holdingType,
                                                                      int actualHeight)

    - #### getMinFreezeHeight

          public static int getMinFreezeHeight(long holdingId,
                                               HoldingType holdingType)